> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Products In Campaign

> This endpoint returns paginated product ids currently in active campaigns. You can filter by vendor_id and ad_format, fetching only from active campaigns and bids.



## OpenAPI

````yaml /openapi.json get /public/v1/campaign-service/products-in-campaign
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/campaign-service/products-in-campaign:
    get:
      tags:
        - Campaign API
      summary: Get Products In Campaign
      description: >-
        This endpoint returns paginated product ids currently in active
        campaigns. You can filter by vendor_id and ad_format, fetching only from
        active campaigns and bids.
      operationId: get_products_in_campaign
      parameters:
        - name: vendor_id
          in: query
          required: false
          schema:
            description: The ID of the vendor to get sponsored products.
            oneOf:
              - type: string
              - type: 'null'
          description: The ID of the vendor to get sponsored products.
        - name: next_page
          in: query
          required: false
          schema:
            description: >-
              A token provided in a previous response. If not empty, it is used
              to retrieve the page that follows.
            oneOf:
              - type: string
              - type: 'null'
          description: >-
            A token provided in a previous response. If not empty, it is used to
            retrieve the page that follows.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: The pagination limit.
            default: 100
          description: The pagination limit.
        - name: look_ahead_hours
          in: query
          required: false
          schema:
            type: integer
            description: >-
              Include products whose campaigns are scheduled to start within the
              N next given hours.
            default: 0
          description: >-
            Include products whose campaigns are scheduled to start within the N
            next given hours.
        - name: fetch_active_products
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Whether to fetch only active products. If false, all products will
              be fetched even if the campaign or the bid are inactive.
            default: false
          description: >-
            Whether to fetch only active products. If false, all products will
            be fetched even if the campaign or the bid are inactive.
        - name: ad_format
          in: query
          required: false
          schema:
            description: >-
              Filter by ad format. If not provided, all formats will be
              included.
            oneOf:
              - $ref: '#/components/schemas/Advanced_APIs_AdFormat'
              - type: 'null'
          description: Filter by ad format. If not provided, all formats will be included.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_ProductsInCampaignResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_AdFormat:
      type: string
      enum:
        - listing
        - banner
        - sponsored_brand
        - exclusive_listing
        - exclusive_banner
        - travel_listing
        - flight_listing
      title: AdFormat
      description: The type of the auction.
    Advanced_APIs_ProductsInCampaignResponse:
      properties:
        hasMore:
          type: boolean
          title: Hasmore
          description: >-
            Flag that indicates whether more results are available. `true`
            indicates there is a next page of results. `false` indicates  this
            response contains the last page of results.
        nextPage:
          title: Nextpage
          description: >-
            Pagination cursor. Provide this value as a `next_page` query
            parameter in a new request to retrieve the next page of results.
          examples:
            - SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo=
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
        productsInCampaign:
          items:
            type: string
          type: array
          title: Productsincampaign
          description: List of sponsored product ids.
      type: object
      required:
        - hasMore
        - productsInCampaign
      title: ProductsInCampaignResponse
      description: Scrolled response for products in campaign.
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````